Tube coping template wrappers
-
Is there any plugin for making tube wrappers to mark and cope fits for tube interfaces?
-
I don't know what "tube wrappers" means. Could you elaborate on what they are and what you plan to do with them in SketchUp? It is possible there is a technique or plugin that does what you want, but without understanding the question I can't point it out!
-
A little image ?
-
Imagine a piece of paper wrapped about the outside of the tube you want to notch the ends of. The paper would have the contour of how the tube would be notched to fit against the mating tube. Simple notches are easy to do just set a milling machine head to the angle and go, but offset angled or rotated make it difficult.
Ill look for a picture.
-
Like this. There are simple calculators on line for bicycle frames, but Im into some multiple tube butt joints it would be helpful for.
-
I believe this is what he requires. However, if he is working with actual tubing, something less than 3" in dia. he should scale up.
I do this procedure all the time to for Gulf of Mexico oil structures. I haven't found a plugin to accomplish this task. I do it the old hard way.
-
Make vertical pipe, 360 segments, so I have good accuracy on the coped pipe.
-
The cope pipe has segments to the amount of actual refence line I require. I alway make sure that the number of segments is always a whole number of degrees. As an example, 360 degrees divided by 50 would give you 7.2 degrees for each segment. That means there is one segment that is not whole. I usually use 36 segment, which gives me a segment for each 10 degrees.
-
I use the plugin "flattery" to flatten out each segment. Note to see each segment, you will have to turn on hidden lines.
There you are, the complete layout. I know it shouldn't be hard to make a plugin to do this, however, I don't have the skills. Wish you luck.
Ken
-
-
it's been many years since I've used one,but we used to call them "pipe saddle templates". We would make a pattern out of sheet metal and then trace it onto a piece of paper.
-
This is exactly what Im looking for. If there is no plug in for it I would give a go at making one if there is a tutorial on making plugins.
-
Once you do the intersect faces routine, you can use Jim Foltz's Unfold plugin to lay the wrapper out flat. Or as Ken did, use the Flattery plugin.
-
Ok I just looked at some ruby stuff way over my head....
what the intersect faces routine?
-
@iceracer said:
Ok I just looked at some ruby stuff way over my head....
what the intersect faces routine?
It's a basic native thing to intersect faces. Select the surface of the wrapper, right click on it and choose Intersect Faces>With Model to create the intersection. Make the pipe a component or group first so it doesn't get modified during the intersection process.
-
@iceracer said:
This is exactly what Im looking for. If there is no plug in for it I would give a go at making one if there is a tutorial on making plugins.
Here is a quick and dirty Plugin that duplicates Ken's process.def tube_coping mod = Sketchup.active_model ent = mod.active_entities sel = mod.selection vue = mod.active_view @vtd ||= 6; @htd ||= 4 val = UI.inputbox(["V Tube Dia;","H Tube Dia;"],[@vtd,@htd],"Tube Coping") if val @vtd,@htd = val; grp = ent.add_group; gent = grp.entities cir = gent.add_circle(ORIGIN,Z_AXIS,@vtd/2,360) fac = gent.add_face cir fac.pushpull -@htd*2 opt = ORIGIN.offset(X_AXIS,@vtd).offset(Z_AXIS,@htd) htc = gent.add_circle(opt,X_AXIS,@htd/2,36) vts = htc[0].curve.vertices.map{|v|v.position} hpt = []; del = Math;;PI*@htd/36 #vts << vts[0] vts.each{|v| hpt << mod.raytest([v,X_AXIS.reverse])[0]} opt = ORIGIN.offset(X_AXIS,@vtd*2).offset(Z_AXIS,@htd/2);lpt=opt.clone cpt = []; cpt << opt for i in 0...vts.length npt = lpt.offset(Z_AXIS,vts[i].distance(hpt[i])) cpt << npt; lpt.offset!(X_AXIS,del) if i<vts.length-1 end cpt << lpt ent.add_face cpt grp.erase! end end
-
Darn sdmitch your quick on the draw.
One problem with your plugin, I show a 90 angle just to simplify the drawing. However, the angle can be any reasonable angle.
So if you add an input for the angle it should be good to go.
Thanks
Ken
-
@unknownuser said:
Darn sdmitch your quick on the draw.
One problem with your plugin, I show a 90 angle just to simplify the drawing. However, the angle can be any reasonable angle.
So if you add an input for the angle it should be good to go.
Thanks
Ken
How is the angle measured? From vertical? What should the min and max angle be?
-
The angle should be calculated from a existing centerline in two steps possibly 1 -3 tubes intersecting then select the tube we want to cope to the node.
Sdmitch are you in the US? -
@iceracer said:
The angle should be calculated from a existing centerline in two steps possibly 1 -3 tubes intersecting then select the tube we want to cope to the node.
Sdmitch are you in the US?Yes I am.
Please post a sample model,version <= 2014, to play with.
Please describe just how you would envision how the plugin should work and make it "Coping for Dummy's"
-
Ill have to get it Tommoro I can snap a picture of the actual piece and send you a file tommoro if you need it. And I appreciate the coping for dummies. This is way out of my expertise.
-
Here is my dilema coping a single angle is not a issue but adding multiple tubes and then rotating and angling back makes it difficult and then coming in on the other end of the tube make it more interesting.
Mitch apparently I cant add a skp file here for you. send me a pm with a email and Ill send the joint to you so you can see it more clearly with all the angles happening.
Advertisement